Skip to main content
POST
/
dev
/
v1
/
products
Create product
curl --request POST \
  --url https://api.shoppex.io/dev/v1/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Created Product",
  "price": 19.99,
  "type": "DYNAMIC",
  "dynamic_webhook": "https://example.com/hook",
  "delivery_instructions": {
    "required": true,
    "label": "Discord username"
  },
  "custom_fields": [
    {
      "name": "Invite",
      "type": "text",
      "required": true
    }
  ]
}
'
{
  "data": {}
}

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Body

title
string
required
price
number
required
type
required
Available options:
SERIALS
cost
number | null
description
string
currency
string
gateways
string[]
subtype
Available options:
SINGLE
serials
string[]
serialsRemoveDuplicates
boolean
serials_remove_duplicates
boolean
serviceText
string
service_text
string
stock
number
dynamicWebhook
string | null
dynamic_webhook
string | null
stockDelimiter
Available options:
comma
stock_delimiter
Available options:
comma
quantity
object
quantity_min
number
quantity_max
number
deliveryText
string
delivery_text
string
customFields
object[]
custom_fields
object[]
deliveryInstructions
object
delivery_instructions
object
cryptoConfirmationsNeeded
number
crypto_confirmations_needed
number
crypto_confirmations
number
maxRiskLevel
number
max_risk_level
number
unlisted
boolean
private
boolean
blockVpnProxies
boolean
block_vpn_proxies
boolean
sortPriority
number
sort_priority
number
webhooks
string[]
onHold
boolean
on_hold
boolean
termsOfService
string | null
terms_of_service
string | null
warrantyDays
number
warranty_days
number
warrantyText
string | null
warranty_text
string | null
volumeDiscounts
object[]
volume_discounts
object[]
recurringInterval
Available options:
DAY
recurring_interval
Available options:
DAY
recurringIntervalCount
number | null
recurring_interval_count
number | null
trialPeriod
number | null
trial_period
number | null
discountPercent
number
discount_percent
number
deliveryTime
number | null
delivery_time
number | null
categoryId
string | null
category_id
string | null
watermarkEnabled
boolean
watermark_enabled
boolean
watermarkText
string | null
watermark_text
string | null
redirectTime
number | null
redirect_time
number | null
variants
object[] | null
discordIntegration
boolean
discord_integration
boolean
discordSetRole
boolean
discord_set_role
boolean
discordServerId
string | null
discord_server_id
string | null
discordRoleId
string | null
discord_role_id
string | null
discordRemoveRole
boolean
discord_remove_role
boolean
payWhatYouWant
boolean
pay_what_you_want
boolean
affiliateRevenuePercent
number
affiliate_revenue_percent
number
affiliateCustomerDiscountMode
Available options:
USE_STORE_DEFAULT
affiliate_customer_discount_mode
Available options:
USE_STORE_DEFAULT
affiliateCustomerDiscountPercent
number | null
affiliate_customer_discount_percent
number | null
discordOptional
boolean
discord_optional
boolean
licensingEnabled
boolean
licensing_enabled
boolean
licensePeriod
string | null
license_period
string | null
label_singular
string
label_plural
string
slug
string | null

Response

Successful response

data
object